<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index__"><span>_</span></a></li>
      <li class="current"><a href="functions_a.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_a.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>addAnnotation()
: <a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">erpcgen::Symbol</a>
</li>
<li>addAnnotations()
: <a class="el" href="classerpcgen_1_1_symbol_scanner.html#a1b394122e66eb26f01e4544d87565fd5">erpcgen::SymbolScanner</a>
</li>
<li>addCase()
: <a class="el" href="classerpcgen_1_1_union_type.html#ab43e74456e7e9ca2c869b764fef5ad48">erpcgen::UnionType</a>
</li>
<li>addCaseMemberName()
: <a class="el" href="classerpcgen_1_1_union_case.html#a99c506f760614cc7b49575454a739380">erpcgen::UnionCase</a>
</li>
<li>addFunction()
: <a class="el" href="classerpcgen_1_1_interface.html#ac40ec70b9076e7a824c10e4ef9219722">erpcgen::Interface</a>
</li>
<li>addMember()
: <a class="el" href="classerpcgen_1_1_enum_type.html#a4c97d8257933bcc596c79cb72d948444">erpcgen::EnumType</a>
, <a class="el" href="classerpcgen_1_1_struct_type.html#a61b39072c99c3571c65bbb48e1eca338">erpcgen::StructType</a>
</li>
<li>addSearchPath()
: <a class="el" href="class_path_searcher.html#af9554bf75313b8d268db3b642e0c4008">PathSearcher</a>
</li>
<li>addStructDirectionType()
: <a class="el" href="classerpcgen_1_1_struct_type.html#abc1c0eb82b1e4361a702bbce8ff2c8a6">erpcgen::StructType</a>
</li>
<li>addSymbol()
: <a class="el" href="classerpcgen_1_1_symbol_scope.html#ad6f6456fc5ade11b91ecc2aa627d7b05">erpcgen::SymbolScope</a>
</li>
<li>addUnionMemberDeclaration()
: <a class="el" href="classerpcgen_1_1_union_type.html#ac8c6e128c8891eaa4b12cfaebd751de0">erpcgen::UnionType</a>
</li>
<li>AliasType()
: <a class="el" href="classerpcgen_1_1_alias_type.html#a64b430e2b41b8f3a0753a112cedca997">erpcgen::AliasType</a>
</li>
<li>allocateCall()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a1678b95581db44fabeebb157e731ae44">erpcgen::CGenerator</a>
</li>
<li>Annotation()
: <a class="el" href="classerpcgen_1_1_annotation.html#aeaa03b81e72b64279bf91374761b7363">erpcgen::Annotation</a>
</li>
<li>ANYCASE
: <a class="el" href="class_options.html#a455ec724e9fbd8a18cb85284a58774b5a72513bb31907833f42553e0b87b96fc8">Options</a>
</li>
<li>appendChild()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a3c0a8040c3cf0ea621544bffdc44a033">erpcgen::AstNode</a>
</li>
<li>ArrayType()
: <a class="el" href="classerpcgen_1_1_array_type.html#ae9be055464db237a7bc48f9a87a0a19e">erpcgen::ArrayType</a>
</li>
<li>AstNode()
: <a class="el" href="classerpcgen_1_1_ast_node.html#af93e5482a8c032afb73a0443bdfb8c10">erpcgen::AstNode</a>
</li>
<li>AstPrinter()
: <a class="el" href="classerpcgen_1_1_ast_printer.html#a67cc65aed0991ae72e969f404477c87e">erpcgen::AstPrinter</a>
</li>
<li>AstWalker()
: <a class="el" href="classerpcgen_1_1_ast_walker.html#ae64501f99560846a44989ca8e02283f6">erpcgen::AstWalker</a>
</li>
<li>attributeCount()
: <a class="el" href="classerpcgen_1_1_ast_node.html#a945c2572ca43f2864c396770a1c5e29c">erpcgen::AstNode</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
